Module java.base
Package java.lang

# Class NoSuchMethodError

java.lang.Object
java.lang.Throwable
java.lang.Error
java.lang.LinkageError
java.lang.IncompatibleClassChangeError
java.lang.NoSuchMethodError

All Implemented Interfaces:
  `Serializable`

    public class NoSuchMethodError
    extends IncompatibleClassChangeError

Thrown if an application tries to call a specified method of a class (either static or instance), and that class no longer has a definition of that method.

Normally, this error is caught by the compiler; this error can only occur at run time if the definition of a class has incompatibly changed.

Since:
  1.0
See Also:
  Serialized Form

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`NoSuchMethodError()` | Constructs a `NoSuchMethodError` with no detail message.
`NoSuchMethodError​(String s)` | Constructs a `NoSuchMethodError` with the specified detail message.

## Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NoSuchMethodError

public NoSuchMethodError()
Constructs a `NoSuchMethodError` with no detail message.

### NoSuchMethodError

public NoSuchMethodError​(String s)
Constructs a `NoSuchMethodError` with the specified detail message.

Parameters:
  `s` - the detail message.